CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::MatMulDesc_v8 Class Reference

`#include <cudnn_frontend_MatMulDesc.h>`

Inheritance diagram for cudnn_frontend::MatMulDesc_v8:
Collaboration diagram for cudnn_frontend::MatMulDesc_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
| MatMulDesc_v8 (MatMulDesc_v8 &&from)=default
MatMulDesc_v8 & | operator= (MatMulDesc_v8 &&from)=default
| ~MatMulDesc_v8 ()=default
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| MatMulDesc_v8 ()=default
| MatMulDesc_v8 (MatMulDesc_v8 const &)=delete
MatMulDesc_v8 & | operator= (MatMulDesc_v8 const &)=delete

## Private Attributes
cudnnDataType_t | math_precision = CUDNN_DATA_FLOAT

## Friends
class | MatMulDescBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

MatMulDesc Descriptor Class This class tells the properties of the MatMul operation Properties:

- math_precision

Use MatMulDesc_v8 to build this class. Describe returns a string describing the MatMul operation

Definition at line 47 of file cudnn_frontend_MatMulDesc.h.

## Constructor & Destructor Documentation

## ◆ MatMulDesc_v8() [1/3]

cudnn_frontend::MatMulDesc_v8::MatMulDesc_v8 | ( | MatMulDesc_v8 && | from | ) |
| default

## ◆ ~MatMulDesc_v8()

cudnn_frontend::MatMulDesc_v8::~MatMulDesc_v8 | ( |  | ) |
| default

Referenced by describe().

## ◆ MatMulDesc_v8() [2/3]

cudnn_frontend::MatMulDesc_v8::MatMulDesc_v8 | ( |  | ) |
| privatedefault

Referenced by describe().

## ◆ MatMulDesc_v8() [3/3]

cudnn_frontend::MatMulDesc_v8::MatMulDesc_v8 | ( | MatMulDesc_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::MatMulDesc_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 51 of file cudnn_frontend_MatMulDesc.h.

References math_precision, MatMulDesc_v8(), operator=(), and ~MatMulDesc_v8().

## ◆ operator=() [1/2]

MatMulDesc_v8& cudnn_frontend::MatMulDesc_v8::operator= | ( | MatMulDesc_v8 && | from | ) |
| default

Referenced by cudnn_frontend::MatMulDescBuilder_v8::build(), and describe().

## ◆ operator=() [2/2]

MatMulDesc_v8& cudnn_frontend::MatMulDesc_v8::operator= | ( | MatMulDesc_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ MatMulDescBuilder_v8

friend class MatMulDescBuilder_v8
| friend

Definition at line 49 of file cudnn_frontend_MatMulDesc.h.

Referenced by cudnn_frontend::MatMulDescBuilder_v8::build().

## Member Data Documentation

## ◆ math_precision

cudnnDataType_t cudnn_frontend::MatMulDesc_v8::math_precision = CUDNN_DATA_FLOAT
| private

Definition at line 70 of file cudnn_frontend_MatMulDesc.h.

Referenced by describe().

The documentation for this class was generated from the following file:

- cudnn_frontend_MatMulDesc.h